Bug 644152 - [abrt] pitivi-0.13.4-3.fc14: mainwindow.py:926:_settingsChangedCb:AttributeError: 'NoneType' object has no attribute 'videopar'
Summary: [abrt] pitivi-0.13.4-3.fc14: mainwindow.py:926:_settingsChangedCb:AttributeEr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bf8a14aa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-19 03:10 UTC by Pedro Alonso Palacios Orozco
Modified: 2010-12-25 00:25 UTC (History)
2 users (show)

Fixed In Version: pitivi-0.13.5-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 00:25:32 UTC


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2010-10-19 03:10 UTC, Pedro Alonso Palacios Orozco
no flags Details

Description Pedro Alonso Palacios Orozco 2010-10-19 03:10:03 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.35.4-28.fc14.x86_64
package: pitivi-0.13.4-3.fc14
reason: mainwindow.py:926:_settingsChangedCb:AttributeError: 'NoneType' object has no attribute 'videopar'
release: Fedora release 14 (Laughlin)
time: 1287447936
uid: 500

backtrace
-----
mainwindow.py:926:_settingsChangedCb:AttributeError: 'NoneType' object has no attribute 'videopar'

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 633, in _undoCb
    self.app.action_log.undo()
  File "/usr/share/pitivi/python/pitivi/undo.py", line 165, in undo
    self._runStack(stack, stack.undo)
  File "/usr/share/pitivi/python/pitivi/undo.py", line 205, in _runStack
    run()
  File "/usr/share/pitivi/python/pitivi/undo.py", line 80, in undo
    self._runAction(self.done_actions, "undo")
  File "/usr/share/pitivi/python/pitivi/undo.py", line 72, in _runAction
    method()
  File "/usr/share/pitivi/python/pitivi/projectmanager.py", line 49, in undo
    self.project.setSettings(self.oldsettings)
  File "/usr/share/pitivi/python/pitivi/project.py", line 135, in setSettings
    self.emit('settings-changed', oldsettings, settings)
  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 145, in emit
    *args, **kwargs)
  File "/usr/share/pitivi/python/pitivi/signalinterface.py", line 119, in emit
    res = cb(*ar, **kw)
  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 926, in _settingsChangedCb
    self.viewer.setDisplayAspectRatio(float(new.videopar *
AttributeError: 'NoneType' object has no attribute 'videopar'

Local variables in innermost frame:
project: <pitivi.project.Project object at 0x2387690>
new: None
self: <PitiviMainWindow object at 0x2343f50 (GtkWindow at 0x24170a0)>
old: <pitivi.settings.ExportSettings object at 0x23af1d0>

Comment 1 Pedro Alonso Palacios Orozco 2010-10-19 03:10:04 UTC
Created attachment 454241 [details]
File: backtrace

Comment 2 Fedora Update System 2010-12-08 12:38:43 UTC
pitivi-0.13.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pitivi-0.13.5-2.fc14

Comment 3 Fedora Update System 2010-12-08 21:27:22 UTC
pitivi-0.13.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pitivi-0.13.5-3.fc14

Comment 4 Fedora Update System 2010-12-09 22:03:27 UTC
pitivi-0.13.5-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pitivi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pitivi-0.13.5-3.fc14

Comment 5 Fedora Update System 2010-12-15 13:19:47 UTC
pitivi-0.13.5-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pitivi-0.13.5-4.fc14

Comment 6 Fedora Update System 2010-12-25 00:25:07 UTC
pitivi-0.13.5-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.